add_rules("mode.debug", "mode.release")
set_languages("c++17")
if is_plat("windows") then
	add_cxxflags("/source-charset:utf-8")
end
if is_mode("debug") then
    set_suffixname("d")
end
add_includedirs(os.scriptdir(), {public = true})
target("trans_util")
	set_kind("static")
	add_files("*.cpp")
	add_deps("ofen")